summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHarri Nieminen <moikkis@gmail.com>2017-03-02 10:31:56 +0200
committerDavid Seifert <soap@gentoo.org>2017-03-04 16:18:28 +0100
commit758a43e7b4360d0ace67d175e461179fe1ce2493 (patch)
treec508251d6fe891f5f5a729e4ec6b922ecd21621b /x11-misc/idesk
parentdev-python/ipywidgets: Version bump to 6.0.0 (diff)
downloadgentoo-758a43e7b4360d0ace67d175e461179fe1ce2493.tar.gz
gentoo-758a43e7b4360d0ace67d175e461179fe1ce2493.tar.bz2
gentoo-758a43e7b4360d0ace67d175e461179fe1ce2493.zip
x11-misc/idesk: EAPI bump 4 -> 6
Package-Manager: Portage-2.3.4, Repoman-2.3.2 Closes: https://github.com/gentoo/gentoo/pull/4098
Diffstat (limited to 'x11-misc/idesk')
-rw-r--r--x11-misc/idesk/idesk-0.7.5-r3.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/x11-misc/idesk/idesk-0.7.5-r3.ebuild b/x11-misc/idesk/idesk-0.7.5-r3.ebuild
new file mode 100644
index 00000000000..ac6e5ad067b
--- /dev/null
+++ b/x11-misc/idesk/idesk-0.7.5-r3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Utility to place icons on the root window"
+HOMEPAGE="http://idesk.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+RDEPEND="
+ dev-libs/glib:2
+ dev-libs/libxml2
+ media-libs/freetype
+ >=media-libs/imlib2-1.4[X]
+ media-libs/libart_lgpl
+ x11-libs/gtk+:2
+ x11-libs/pango
+ x11-libs/startup-notification"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+PATCHES=(
+ # bug 333515
+ "${FILESDIR}"/${P}-glibc-2.12.patch
+)
+
+src_prepare() {
+ default
+ sed -i \
+ -e 's,/usr/local/,/usr/,' \
+ examples/default.lnk || die
+}
+
+src_configure() {
+ econf --enable-libsn
+}